Package com.xebialabs.xlrelease.api.v1.filter

## Class TriggerFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.filter.TriggerFilters

-     public class TriggerFilters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TriggerFilters()` |
    `TriggerFilters​(java.lang.String triggerTitle, java.lang.String templateTitle)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFolderId()` |
    `java.lang.String` | `getFolderTitle()` |
    `java.lang.Boolean` | `getNestedFolders()` |
    `java.lang.String` | `getTemplateId()` |
    `java.lang.String` | `getTemplateTitle()` |
    `java.lang.String` | `getTriggerTitle()` |
    `java.util.List<java.lang.String>` | `getTriggerType()` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setFolderTitle​(java.lang.String folderTitle)` |
    `void` | `setNestedFolders​(java.lang.Boolean nestedFolders)` |
    `void` | `setTemplateId​(java.lang.String templateId)` |
    `void` | `setTemplateTitle​(java.lang.String templateTitle)` |
    `void` | `setTriggerTitle​(java.lang.String triggerTitle)` |
    `void` | `setTriggerType​(java.util.List<java.lang.String> triggerType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TriggerFilters

          public TriggerFilters()

    - #### TriggerFilters

          public TriggerFilters​(java.lang.String triggerTitle,
                                java.lang.String templateTitle)

  - ### Method Detail

    - #### getTriggerTitle

          public java.lang.String getTriggerTitle()

    - #### setTriggerTitle

          public void setTriggerTitle​(java.lang.String triggerTitle)

    - #### getTemplateTitle

          public java.lang.String getTemplateTitle()

    - #### setTemplateTitle

          public void setTemplateTitle​(java.lang.String templateTitle)

    - #### getFolderTitle

          public java.lang.String getFolderTitle()

    - #### setFolderTitle

          public void setFolderTitle​(java.lang.String folderTitle)

    - #### getTriggerType

          public java.util.List<java.lang.String> getTriggerType()

    - #### setTriggerType

          public void setTriggerType​(java.util.List<java.lang.String> triggerType)

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getTemplateId

          public java.lang.String getTemplateId()

    - #### setTemplateId

          public void setTemplateId​(java.lang.String templateId)

    - #### getNestedFolders

          public java.lang.Boolean getNestedFolders()

    - #### setNestedFolders

          public void setNestedFolders​(java.lang.Boolean nestedFolders)